Subject: [lojban] Re: loi preti be fi lo nincli zo'u tu'e

From: Robin Lee Powell <[email-masked]>
Date: Wed, 29 Jan 2003 14:52:47 -0800

On Wed, Jan 29, 2003 at 07:07:50PM +0000, Martin Bays wrote:
> > And it turns out that either everyone who has discussed this is
> > wrong, or there is direct contradiction in the CLL!
> >
> > From Chapter 16, just after E10.5:
> >
> > By the rules of predicate logic, the ``ro'' quantifier on ``da'' has
> > scope over both sentences. That is, once you've picked a value for
> > ``da'' for the first sentence, it stays the same for both sentences.
> > (The ``da'' continues with the same fixed value until a new
> > paragraph or a new prenex resets the meaning.)
> >
> > Note that the above refers to an example which uses an .ije, but it
> > *says* that any sentence carries a da.
> >
> > In S16.14:
> >
> >
> > In general, the scope of a prenex that precedes a sentence extends
> > to following sentences that are joined by ijeks (explained in
> > Chapter 14) such as the ``.ije'' in Example 14.1. Theoretically, a
> > bare ``.i'' terminates the scope of the prenex. Informally, however,
> > variables may persist for a while even after an ``.i'', as if it
> > were an ``.ije''. Prenexes that precede embedded bridi such as
> > relative clauses and abstractions extend only to the end of the
> > clause, as explained in Section 8. A prenex preceding ``tu'e ...
> > tu'u'' long-scope brackets persists until the ``tu'u'', which may be
> > many sentences or even paragraphs later.
> >
> >
> > It would seem we have a contradiction, yes?
> >
> 
> Looks that way. Personally, I'd prefer the second. I'd also prefer, if
> it's so far undecided, that DA in sub-bridi are assumed to be new - so
> {da jinvi le du'u da cevni} is not the same as {da goi ko'a jinvi le
> du'u ko'a cevni}.

*WHY*? That seems like a *huge* pain; if you want a new variable, use a
new variable! There's an infinite number, after all.

> > The intent would be to clear just the assignment of da'o, which
> > would be a new usage AFAIK.
> 
> If we allowed that (I'm assuming you meant it clears whatever da'o is
> attached to), I would certainly prefer it to bi'u.

<nod>

> > Note, however, that in both cases the poi does *not* appear to be
> > binding to just the ny.
> 
> It *isn't*? Why not? And what is it binding to, then?

ro boi ny. (as opposed to just ny.). Probably doesn't batter.

> >Not sure that's a problem in this case, though. What's the boi there
> >for anyways?
> 
> {ro ny.} counts as a number, for some reason. EBNF: "number = PA [PA !
> lerfu-word]...". No idea what use this was included for, though.

Umm, makes sense to me. Why is that a problem?

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ *** I'm a *male* Robin.
.i le pamoi velru'e zo'u crepu le plibu taxfu
.i le remoi velru'e zo'u mo .i le cimoi velru'e zo'u ba'e prali .uisai
http://www.lojban.org/ *** to sa'a cu'u lei pibyta'u cridrnoma toi